import { Spin } from "antd";
import { Suspense } from "react";

export function MySupsenseFallback({ children }) {
  return (
    <Suspense
      fallback={
        <div
          style={{
            display: "flex",
            flexDirection: "row",
            justifyContent: "center",
            alignContent: "center",
            alignItems: "center",
            textAlign: "center",
            height: "98.3vh",
          }}
        >
          <Spin size="large" />
        </div>
      }
    >
      {children}
    </Suspense>
  );
}
